test: _SUBSECTION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _SUBSECTION Struct Reference

`#include <mi.h>`

List of all members.

## Public Attributes

PCONTROL_AREA | ControlArea
union {
ULONG LongFlags
MMSUBSECTION_FLAGS SubsectionFlags
} | u
ULONG | StartingSector
ULONG | NumberOfFullSectors
PMMPTE | SubsectionBase
ULONG | UnusedPtes
ULONG | PtesInSubsection
_SUBSECTION * | NextSubsection

## Member Data Documentation

PCONTROL_AREA _SUBSECTION::ControlArea

| Definition at line 2114 of file mi.h. Referenced by MiCanFileBeTruncatedInternal(), MiCleanSection(), MiCompleteProtoPteFault(), MiCreateDataFileMap(), MiCreateImageFileMap(), MiCreatePagingFileMap(), MiGatherMappedPages(), MiModifiedPageWriterWorker(), MiPurgeImageSection(), MiResolveMappedFileFault(), MiRestoreTransitionPte(), MmExtendSection(), and MmShutdownSystem().

ULONG _SUBSECTION::LongFlags

| Definition at line 2116 of file mi.h.

struct _SUBSECTION* _SUBSECTION::NextSubsection

| Definition at line 2124 of file mi.h. Referenced by MiAddMappedPtes(), MiCanFileBeTruncatedInternal(), MiCleanSection(), MiCreateDataFileMap(), MiCreateImageFileMap(), MiFlushSectionInternal(), MiGetProtoPteAddressExtended(), MiLocateSubsection(), MiMapViewOfDataSection(), MiRemoveUnusedSegments(), MiSegmentDelete(), MmExtendSection(), MmFlushSection(), MmFlushVirtualMemory(), MmMapViewInSystemCache(), and MmPurgeSection().

ULONG _SUBSECTION::NumberOfFullSectors

| Definition at line 2120 of file mi.h. Referenced by MiCreateDataFileMap(), MiCreateImageFileMap(), MiPurgeImageSection(), and MmExtendSection().

ULONG _SUBSECTION::PtesInSubsection

| Definition at line 2123 of file mi.h. Referenced by MiAddMappedPtes(), MiCleanSection(), MiCreateDataFileMap(), MiCreateImageFileMap(), MiCreatePagingFileMap(), MiDeleteVirtualAddresses(), MiFlushSectionInternal(), MiGatherMappedPages(), MiGetProtoPteAddressExtended(), MiLocateSubsection(), MiMapViewOfDataSection(), MiPurgeImageSection(), MiRemoveUnusedSegments(), MiResolveMappedFileFault(), MmExtendSection(), MmFlushSection(), MmFlushVirtualMemory(), MmMapVideoDisplay(), MmMapViewInSystemCache(), and MmPurgeSection().

ULONG _SUBSECTION::StartingSector

| Definition at line 2119 of file mi.h. Referenced by MiCreateImageFileMap(), MiMapViewOfPhysicalSection(), MiPurgeImageSection(), and MmMapVideoDisplay().

PMMPTE _SUBSECTION::SubsectionBase

| Definition at line 2121 of file mi.h. Referenced by MiAddMappedPtes(), MiCleanSection(), MiCreateDataFileMap(), MiCreateImageFileMap(), MiCreatePagingFileMap(), MiDeleteVirtualAddresses(), MiFlushSectionInternal(), MiGatherMappedPages(), MiGetProtoPteAddressExtended(), MiLocateSubsection(), MiMapViewOfDataSection(), MiMapViewOfImageSection(), MiPurgeImageSection(), MiRemoveUnusedSegments(), MiResolveMappedFileFault(), MiSegmentDelete(), MmExtendSection(), MmFlushSection(), MmFlushVirtualMemory(), MmMapVideoDisplay(), MmMapViewInSystemCache(), MmPurgeSection(), and MmUnmapVideoDisplay().

MMSUBSECTION_FLAGS _SUBSECTION::SubsectionFlags

| Definition at line 2117 of file mi.h.

union { ... } _SUBSECTION::u

| Referenced by MiCheckVirtualAddress(), MiCreateDataFileMap(), MiCreateImageFileMap(), MiCreatePagingFileMap(), MiMapViewOfPhysicalSection(), MiPurgeImageSection(), MiResolveMappedFileFault(), MiResolveProtoPteFault(), MiSetImageProtect(), MmExtendSection(), and MmMapVideoDisplay().

ULONG _SUBSECTION::UnusedPtes

| Definition at line 2122 of file mi.h. Referenced by MiCreateDataFileMap(), MiCreateImageFileMap(), MiMapViewOfDataSection(), and MmExtendSection().

The documentation for this struct was generated from the following file:

- mi.h